%define fname	keyring

Name:		python-keyring
Summary:	Python library to access the system keyring service
Version:	1.4
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/k/keyring/%{fname}-%{version}.zip
URL:		http://pypi.python.org/pypi/keyring
Group:		Development/Python
License:	Python
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools
	
%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.

%package -n python3-keyring
Summary:	Python 3 library to access the system keyring service
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	python3-devel
#BuildRequires:	python3-setuptools

%description -n python3-keyring
The Python 3 keyring lib provides a easy way to access the system keyring
service from python 3. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python3-keyring-gnome or
python3-keyring-kwallet.

%prep
%setup -q -c
pushd %{fname}-%{version}
rm -rf %{fname}.egg-info
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' keyring/cli.py keyring/backends/_win_crypto.py
popd
mv %{fname}-%{version} py2
pushd py2
%apply_patches
popd
cp -r py2 py3

%build
pushd py2
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
popd

pushd py3
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
pushd py3
%{__python3} setup.py install -O1 --root=%{buildroot} --compile --optimize=2
popd

pushd py2
%{__python} setup.py install -O1 --root=%{buildroot} --compile --optimize=2
popd

%files
%doc py2/README.rst py2/CHANGES.rst py2/CONTRIBUTORS.txt
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}
%{_bindir}/keyring

%files -n python3-keyring
%doc py3/README.rst py3/CHANGES.rst py3/CONTRIBUTORS.txt
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}




%changelog
* Fri Jun 14 2013 philippem <philippem> 1.4-1.mga3
+ Revision: 443104
- imported package python-keyring

